Recent

Author Topic: Fpcupdeluxe  (Read 608822 times)

trev

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1627
  • Former Delphi 1-7, 10.2 user
Re: Fpcupdeluxe
« Reply #1950 on: October 03, 2021, 12:06:29 am »
Error: Util x86_64-apple-darwin19-dsymutil not found, switching to external linking

Odd. dsymutil is a macOS utility for manipulating archived DWARF debug symbol files which should be found in /usr/bin/. Are you sure you have the standalone commad line utilities installed?
Lazarus 2.3 + FPC 3.3.1 2021-10-19 macOS 10.14.6 Xcode 11.3.1
Lazarus 2.3 + FPC 3.3.1 2021-09-21 macOS 11.6 aarch64 Xcode 13
Lazarus 2.3 2021-08-11 FPC 3.2.2 FreeBSD 13.0 amd64 VMware VM
Lazarus 2.1 r61574 FPC 3.0.4 Ubuntu 20.04 Parallels VM
Lazarus 2.0.10 FPC 3.2.0 Win10 Parallels VM

Alextp

  • Hero Member
  • *****
  • Posts: 1416
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #1951 on: October 03, 2021, 12:28:42 am »
I found here on Linux x64 only this renamed util:

user@PC:~$ which dsymutil
user@PC:~$ which dsymutil-10
/usr/bin/dsymutil-10

And I installed macOS cross tools via Deluxe. Just a day ago.

trev

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1627
  • Former Delphi 1-7, 10.2 user
Re: Fpcupdeluxe
« Reply #1952 on: October 03, 2021, 01:05:28 am »
I found here on Linux x64 only this renamed util:

Oops, I thought you were on macOS.
Lazarus 2.3 + FPC 3.3.1 2021-10-19 macOS 10.14.6 Xcode 11.3.1
Lazarus 2.3 + FPC 3.3.1 2021-09-21 macOS 11.6 aarch64 Xcode 13
Lazarus 2.3 2021-08-11 FPC 3.2.2 FreeBSD 13.0 amd64 VMware VM
Lazarus 2.1 r61574 FPC 3.0.4 Ubuntu 20.04 Parallels VM
Lazarus 2.0.10 FPC 3.2.0 Win10 Parallels VM

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1497
Re: Fpcupdeluxe
« Reply #1953 on: October 03, 2021, 12:50:04 pm »
@Alextp
Quote
Error: Util x86_64-apple-darwin19-dsymutil not found, switching to external linking
New binaries are available that should solve this issue.
Please delete the old binary tools and let fpcupdeluxe download new ones by rebuilding the cross-compiler.

Alextp

  • Hero Member
  • *****
  • Posts: 1416
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #1954 on: October 03, 2021, 01:05:25 pm »
Now it's solved!

jcdammeyer

  • Full Member
  • ***
  • Posts: 195
  • Embedded System Developer
    • Automation Artisans Inc.
Installing Lazarus Trunk onto BeagleBone Black using FPCUPdeluxe
« Reply #1955 on: October 09, 2021, 09:38:58 am »
I was running Lazarus 2.0.10 but having issues with the pxl library and ioctrl for SPI opening.  Another MicroSD card with Buster newer version of Lazarus doesn't appear to have the problem. 

Anyway I've attached the install failure text for graphics error.

debian@ebb:~$ uname -a
Linux ebb 4.19.94-ti-r68 #1buster SMP PREEMPT Thu Sep 16 15:32:31 UTC 2021 armv7l GNU/Linux

If there's anything else I can do to help just ask.
John

Agmcz

  • New Member
  • *
  • Posts: 16
Re: Fpcupdeluxe
« Reply #1956 on: October 10, 2021, 01:29:11 am »
Hi all
how to update lamw only?

Alextp

  • Hero Member
  • *****
  • Posts: 1416
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #1957 on: October 12, 2021, 06:52:52 pm »
I wrote the report about macOS 10.8, can you pls solve it?
https://github.com/LongDirtyAnimAlf/fpcupdeluxe/issues/453

trev

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1627
  • Former Delphi 1-7, 10.2 user
Re: Fpcupdeluxe
« Reply #1958 on: October 14, 2021, 01:16:55 am »
So did I :) You need to install the standalone comamnd line tools which will put the Apple git client in /usr/bin. Yes, I verified this in my 10.8 VM.
Lazarus 2.3 + FPC 3.3.1 2021-10-19 macOS 10.14.6 Xcode 11.3.1
Lazarus 2.3 + FPC 3.3.1 2021-09-21 macOS 11.6 aarch64 Xcode 13
Lazarus 2.3 2021-08-11 FPC 3.2.2 FreeBSD 13.0 amd64 VMware VM
Lazarus 2.1 r61574 FPC 3.0.4 Ubuntu 20.04 Parallels VM
Lazarus 2.0.10 FPC 3.2.0 Win10 Parallels VM

szlbz

  • New member
  • *
  • Posts: 5
Re: Fpcupdeluxe
« Reply #1959 on: October 14, 2021, 08:49:58 am »
How to deal with this problem in compilation?
Debug: D:\fpcupdeluxe3\cross\bin\arm-linux\arm-linux-gnueabihf-ld.exe: cannot find -lpangocairo-1.0

af0815

  • Hero Member
  • *****
  • Posts: 728
Re: Fpcupdeluxe
« Reply #1960 on: October 14, 2021, 08:55:13 am »
How to deal with this problem in compilation?
Debug: D:\fpcupdeluxe3\cross\bin\arm-linux\arm-linux-gnueabihf-ld.exe: cannot find -lpangocairo-1.0
this is not direct related with fpcupdeluxe, it is general cross-compiling problem.

I have a extra directory with the needed libs, this must be for each cpu/system configuration. I use in the Project options Paths - Libraries eg. ..\common\library\arm-linux  for RasPi, x86_64_Linux for Debian-X64.

The files needed in this dir, are from the target system. But you must take not to copy a simple symlink to the windows system. 
« Last Edit: October 14, 2021, 08:59:51 am by af0815 »
regards
Andreas

szlbz

  • New member
  • *
  • Posts: 5
Re: Fpcupdeluxe
« Reply #1961 on: October 14, 2021, 09:06:18 am »
Thanks, I'll try!
How to deal with this problem in compilation?
Debug: D:\fpcupdeluxe3\cross\bin\arm-linux\arm-linux-gnueabihf-ld.exe: cannot find -lpangocairo-1.0
this is not direct related with fpcupdeluxe, it is general cross-compiling problem.

I have a extra directory with the needed libs, this must be for each cpu/system configuration. I use in the Project options Paths - Libraries eg. ..\common\library\arm-linux  for RasPi, x86_64_Linux for Debian-X64.

The files needed in this dir, are from the target system. But you must take not to copy a simple symlink to the windows system.

Alextp

  • Hero Member
  • *****
  • Posts: 1416
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #1962 on: October 14, 2021, 11:43:17 am »
@trev, I am still fighting with Deluxe error, next one (in the same https://github.com/LongDirtyAnimAlf/fpcupdeluxe/issues/453 ).

coradi

  • Full Member
  • ***
  • Posts: 105
Installation Problems
« Reply #1963 on: October 14, 2021, 06:29:48 pm »
See Screenshot
« Last Edit: October 14, 2021, 06:31:20 pm by coradi »
Amstrad Schneider CPC 6128
Wind XP / 7 / 10

prof7bit

  • Full Member
  • ***
  • Posts: 141
Re: Fpcupdeluxe
« Reply #1964 on: October 17, 2021, 03:07:51 pm »
I just tried to install pas2js, but it is still trying to use svn and failing. How do I get pas2js properly integrated into my fpcupdeluxe made lazarus installation?

 

TinyPortal © 2005-2018